%global modname detox

Name:               python-detox
Version:            0.13
Release:            1%{?dist}
Summary:            Distributing activities of the tox tool

License:            MIT
URL:                https://pypi.io/project/detox
Source0:            https://pypi.io/packages/source/d/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-six
BuildRequires:      python3-tox
BuildRequires:      python3-py
BuildRequires:      python3-eventlet

%description
detox is the distributed version of the "tox" python testing tool.  It makes
efficient use of multiple CPUs by running all possible activities in parallel.
It has the same options and configuration that tox has so after installation
can just run:

    $ detox

in the same way and with the same options with which you would run "tox".

%package -n python3-%{modname}
Summary:            %{summary}
%{?python_provide:%python_provide python3-%{modname}}

Requires:           python3-six
Requires:           python3-tox
Requires:           python3-py
Requires:           python3-eventlet

# users were just using the detox command, so let them keep it when they upgrade
Obsoletes:          python2-detox < 0.12-2

%description -n python3-%{modname}
detox is the distributed version of the "tox" python testing tool.  It makes
efficient use of multiple CPUs by running all possible activities in parallel.
It has the same options and configuration that tox has so after installation
can just run:

    $ detox

in the same way and with the same options with which you would run "tox".


%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test


%files -n python3-%{modname}
%doc CHANGELOG
%license LICENSE
%{_bindir}/detox
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}*


%changelog
* Tue Aug 21 2018 Ralph Bean <rbean@redhat.com> - 0.13-1
- new version

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.12-3
- Rebuilt for Python 3.7

* Mon Apr 30 2018 Miro Hrončok <mhroncok@redhat.com> - 0.12-2
- Switch to Python 3

* Tue Apr 24 2018 Ralph Bean <rbean@redhat.com> - 0.12-1
- new version

* Fri Mar 16 2018 Ralph Bean <rbean@redhat.com> - 0.11-5
- Add dep on python-six.

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.11-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Apr 24 2017 Ralph Bean <rbean@redhat.com> - 0.11-1
- new version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar 15 2016 Ralph Bean <rbean@redhat.com> - 0.10.0-1
- Initial package for Fedora
